---
title: RTCRtpEncodingParameters.scaleResolutionDownBy
slug: Web/API/RTCRtpEncodingParameters/scaleResolutionDownBy
tags:
  - API
  - Codec
  - Encoding
  - Media
  - RTCRtpEncodingParameters
  - RTP
  - Reference
  - Scale
  - Scaling
  - Settings
  - Video
  - WebRTC
  - WebRTC API
  - parameters
  - rtc
  - scaleResolutionDownBy
  - size
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCRtpEncodingParameters")}} dictionary's <code><strong>scaleResolutionDownBy</strong></code> property can be used to specify a factor by which to reduce the size of a video track during encoding.</span></p>

<p>This property is only available for tracks whose {{domxref("MediaStreamTrack.kind", "kind")}} is <code>video</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>rtpEncodingParameters</em>.scaleResolutionDownBy = <em>scalingFactor</em>;

<em>rtpEncodingParameters</em> = {
  scaleResolutionDownBy: <em>scalingFactor</em>
};
</pre>

<h3 id="Value">Value</h3>

<p>A double-precison floating-point number specifying the amount by which to reduce the size of the video during encoding. The default value, 1.0, means that the video will be encoded at its original size. A value of 2.0 would reduce the size of the video by a factor of 2 both horizontally and vertically, resulting in a video 25% the original size.</p>

<p>A value less than 1.0 would cause the video to get larger rather than smaller, which is not the intent of this property. Therefore, specifying a value less than 1.0 is not permitted and will cause a <code>RangeError</code> exception to be thrown by {{domxref("RTCPeerConnection.addTransceiver()")}} or {{domxref("RTCRtpSender.setParameters()")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#dom-rtcrtpencodingparameters-scaleresolutiondownby','RTCRtpEncodingParameters.scaleResolutionDownBy')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpEncodingParameters.scaleResolutionDownBy")}}</p>
